
    import { getChartData, getKeyValue, getListData, getSingleYAndMoreData, getMoreYChartData, objKeyReplace }from "../util/tools";
    import { get智慧电眼_空壳企业监测 } from "../data/analysisExcelData";
    
    export function getData(req, res) {
        let ret:any = {};

        let excelData:any = get智慧电眼_空壳企业监测();
    
        let 基础数据DataAndUnit = objKeyReplace(excelData.基础数据);
        ret["api1"] =  getKeyValue("基础数据", 基础数据DataAndUnit.dataMap, 基础数据DataAndUnit.unitMap, false, false );
    
        let 不同容量疑似空壳企业分布DataAndUnit = objKeyReplace(excelData.不同容量疑似空壳企业分布);
        ret["api2"] =  getKeyValue("不同容量疑似空壳企业分布", 不同容量疑似空壳企业分布DataAndUnit.dataMap, 不同容量疑似空壳企业分布DataAndUnit.unitMap, false, false );
    
        ret["api3"] = getChartData("行业疑似空壳企业分布", excelData.行业疑似空壳企业分布, '户', false );
    
        ret["api4"] = getChartData("疑似空壳企业数变化趋势", excelData.疑似空壳企业数变化趋势, '户', false );
    
        ret["api5"] = getChartData("疑似空壳企业空壳率变化趋势", excelData.疑似空壳企业空壳率变化趋势, '%', false );
    
        res.send(ret);
    }
    